com.verisign.epp.interfaces

## Class EPPRegistry

- java.lang.Object
- - com.verisign.epp.interfaces.EPPRegistry

-     public class EPPRegistry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistry(EPPSession aSession)` Constructs an `EPPRegistry` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTld(java.lang.String tld)`
    `java.lang.String` | `getAuthRoid()`
    `java.lang.String` | `getAuthString()`
    `EPPSession` | `getSession()`
    `java.lang.String` | `getTransId()`
    `java.util.List` | `getZoneList()`
    `boolean` | `isAllTlds()`
    `void` | `resetRegistry()`
    `EPPRegistryCheckResp` | `sendCheck()` Sends a TLD Name Check Command to the server. The required attributes have been set with the following methods: `addTld` - Adds a TLD name to check.
    `EPPRegistryCreateResp` | `sendCreate()`
    `EPPResponse` | `sendDelete()`
    `EPPRegistryInfoResp` | `sendInfo()` Sends a Registry Info Command to the server. The required attributes have been set with the following methods: `addTldName` - Sets the tld name to get info for.
    `EPPResponse` | `sendUpdate()`
    `void` | `setAllTlds(boolean allTlds)`
    `void` | `setAuthRoid(java.lang.String authRoid)`
    `void` | `setAuthString(java.lang.String authString)`
    `void` | `setSession(EPPSession session)`
    `void` | `setTransId(java.lang.String transId)`
    `void` | `setZoneList(java.util.List zoneList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistry

          public EPPRegistry(EPPSession aSession)

      Constructs an `EPPRegistry` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### sendCheck

          public EPPRegistryCheckResp sendCheck()
                                         throws EPPCommandException

      Sends a TLD Name Check Command to the server.
      The required attributes have been set with the following methods:
      - `addTld` - Adds a TLD name to check. More than one TLD names can be checked in `sendCheck`
      The optional attributes have been set with the following:
      - `setTransId` - Sets the client transaction identifier
      Returns:
        `EPPRegistryCheckResp` containing the TLD check information.
      Throws:
        `EPPCommandException` - Error executing the check command. Use `getResponse` to get the associated server error response.

    - #### sendDelete

          public EPPResponse sendDelete()
                                 throws EPPCommandException

      Throws:
        `EPPCommandException`

    - #### sendInfo

          public EPPRegistryInfoResp sendInfo()
                                       throws EPPCommandException

      Sends a Registry Info Command to the server.
      The required attributes have been set with the following methods:
      - `addTldName` - Sets the tld name to get info for. Only one tld name is valid.
      The optional attributes have been set with the following:
      - `setTransId` - Sets the client transaction identifier
      - `setAuthString` - Sets the Authorization string
      Returns:
        `EPPRegistryInfoResp` containing the Registry information.
      Throws:
        `EPPCommandException` - Error executing the info command. Use `getResponse` to get the associated server error response.

    - #### sendCreate

          public EPPRegistryCreateResp sendCreate()
                                           throws EPPCommandException

      Throws:
        `EPPCommandException`

    - #### sendUpdate

          public EPPResponse sendUpdate()
                                 throws EPPCommandException

      Throws:
        `EPPCommandException`

    - #### getSession

          public EPPSession getSession()

    - #### setSession

          public void setSession(EPPSession session)

    - #### getTransId

          public java.lang.String getTransId()

    - #### setTransId

          public void setTransId(java.lang.String transId)

    - #### getZoneList

          public java.util.List getZoneList()

    - #### setZoneList

          public void setZoneList(java.util.List zoneList)

    - #### addTld

          public void addTld(java.lang.String tld)

    - #### isAllTlds

          public boolean isAllTlds()

    - #### setAllTlds

          public void setAllTlds(boolean allTlds)

    - #### resetRegistry

          public void resetRegistry()

    - #### getAuthString

          public java.lang.String getAuthString()

    - #### setAuthString

          public void setAuthString(java.lang.String authString)

    - #### getAuthRoid

          public java.lang.String getAuthRoid()

    - #### setAuthRoid

          public void setAuthRoid(java.lang.String authRoid)